Bug 1300794 - ems_refresh errors out with "invoking [on_error] method=[update_provision_status(status => '[No Cloud/Infrastructure Provider defined]" [NEEDINFO]
ems_refresh errors out with "invoking [on_error] method=[update_provision_sta...
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Providers (Show other bugs)
Unspecified Unspecified
urgent Severity urgent
: GA
: 5.5.4
Assigned To: Jason Frey
Aziza Karol
: ZStream
Depends On: 1297101
  Show dependency treegraph
Reported: 2016-01-21 12:48 EST by Satoe Imaishi
Modified: 2016-05-31 09:40 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Previously, when a virtual machine moved to another host during a host-targeted External Management System (EMS) refresh, the virtual machine appeared to be deleted from the host. This occurred because the EMS refresh process (ems_refresh) disconnected the virtual machine and deleted it from the EMS, resulting in this error message: "invoking [on_error] method=[update_provision_status(status => '[No Cloud/Infrastructure Provider defined]". The issue has been fixed in the code by queueing a targeted refresh on a virtual machine when there is insufficient information available. As a result, virtual machines are no longer deleted by the host EMS, and ems_refresh completes for both the host and the virtual machine.
Story Points: ---
Clone Of: 1297101
Last Closed: 2016-05-31 09:40:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jprause: needinfo? (jfrey)

Attachments (Terms of Use)

  None (edit)
Comment 7 Aziza Karol 2016-05-05 10:26:15 EDT
No Error when a VM is migrated to another host. VM refresh successful.

Comment 9 errata-xmlrpc 2016-05-31 09:40:39 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.


Note You need to log in before you can comment on or make changes to this bug.